# mms2mail

Convert MMSd MMS file to mbox.

## installation

### dependency

 - python3 
 - python3-watchdog (pip install watchdog)
 - python-messaging (pip install python-messaging)
 - marrow.mailer (pip install marrow.mailer)

### setup
Install the dependency and mms2mail: 
```
pip install --user watchdog # or sudo apt install python3-watchdog
pip install --user marrow-mailer
pip install --user python-messaging

mkdir -p ~/.local/bin
cp mms2mail ~/.local/bin
```
To enable the daemon mode in systemd user : 
```
mkdir -p ~/.config/systemd/user
cp mms2mail.service ~/.config/systemd/user/
systemctl --user daemon-reload 
systemctl --user enable mms2mail
systemctl --user start mms2mail
```
  
### config
An optional configuration file can be put in the home folder : ```$HOME/.mms/modemmanager/mms2mail.ini```. The default value are : 

```
[mail]
mailbox = /var/mail/$USER  ; the mailbox where mms are appended
user = $USER               ; the user account specified as recipient
domain = $HOSTNAME         ; the domain part appended to phone number and user
attach_mms = false         ; whether to attach the full mms binary file
```

## usage 

```
mms2mail [-h] [-d [{dbus,filesystem}] | -f FILES [FILES ...]] [--delete] [--force-read]

optional arguments:
  -h, --help            show this help message and exit
  -d [{dbus,filesystem}], --daemon [{dbus,filesystem}]
                        Use dbus signal from mmsd by default but can also watch mmsd storage folder (useful for mmsd < 1.0)
  -f FILES [FILES ...], --file FILES [FILES ...]
                        Parse specified mms files and quit
  --delete              Ask mmsd to delete the converted MMS
  --force-read          Force conversion even if MMS is marked as read
```